#pragma once

#define OF_ADDON_USING_OFXVECTORMATH
#define OF_ADDON_USING_OFXXMLSETTINGS

#include "ofAddons.h"
#include "ofMain.h"

#include "baseCardScene.h"
#include  "arPlane.h"

class testScene : public baseCardScene{
		
	public:
		//----------------------------------
		testScene();
		void setupScene();
		void render();		
		void update();
		//void exit();
		
		void keyPressed( int key );
		void keyReleased( int key );
		
		void mouseMoved( int x, int y );
		void mouseDragged( int x, int y, int button );
		void mousePressed( int x, int y, int button );
		void mouseReleased(int x, int y, int button );
	
		//void audioReceived( float * input, int bufferSize, int nChannels );
		//void audioRequested( float * output, int bufferSize, int nChannels );
		
		bool recordingPts;
		int whichPt;
		ofPoint planePts[4];
		arFakeMarker fakeMarker;

	
		float mx;
		float my;
	
};